Subject: Re: bug#47642: 28.0.50; (error "Selection owner couldn't convert" UTF8_STRING)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 12 Apr 2021 12:11:28 +0200

Juri Linkov <[email-masked]> writes:

> after copying an image in Gimp, then exiting Gimp, and trying to paste
> in Emacs.

I was unable to reproduce that (on Debian/bullseye) -- I just get nil
back from

(x-get-selection-internal 'CLIPBOARD 'UTF8_STRING nil nil)

no matter whether Gimp is running or not (after choosing Edit -> Copy).

In any case -- I'm not sure there's anything we can do on the Emacs
side...  except perhaps change the error message?  "Couldn't convert"
isn't really informative.  "Couldn't get selection from selection
owner", perhaps?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no